calf2lv
==========

`calf2lv.py` generates an `ecasound` command line from the xml file created by calfjackhost GUI 

With it, you can tune your filter using the powerful GUI, then use it on a headless system with lower specs.


The provided calf.xml file is a reasonable effect for an AM radio: it gives you a filter, a compressor, and a
limiter. They are meant to be used in exactly that order.

You can generate a command line with `python calf2lv.py calf.xml filter comp limiter`.

To make it even easier, use `--exec`, which will actually run the effect as a stream.

A complete usecase is provided in `lv.liq`: run liquidsoap, with mono downmixing, which uses ecasound (through `calf2lv.py`) and aplay to actually play audio.

Install
--------

`calf2lv` requires python3.

On debian

    apt install python3 calf-plugins ecasound lilv-tools liquidsoap

enjoy!
